Bug 1014721 - [abrt] vim-X11-7.4.027-2.fc19: set_last_cursor: Process /usr/bin/gvim was killed by signal 11 (SIGSEGV)
[abrt] vim-X11-7.4.027-2.fc19: set_last_cursor: Process /usr/bin/gvim was kil...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
abrt_hash:4f71fe8345f31d9551a1782e993...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 11:27 EDT by Huanshuai Li
Modified: 2014-09-19 06:05 EDT (History)
1 user (show)

See Also:
Fixed In Version: vim-7.4.417-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-22 21:53:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (35.87 KB, text/plain)
2013-10-02 11:27 EDT, Huanshuai Li
no flags Details
File: cgroup (141 bytes, text/plain)
2013-10-02 11:27 EDT, Huanshuai Li
no flags Details
File: core_backtrace (18.83 KB, text/plain)
2013-10-02 11:27 EDT, Huanshuai Li
no flags Details
File: dso_list (8.76 KB, text/plain)
2013-10-02 11:27 EDT, Huanshuai Li
no flags Details
File: environ (1.90 KB, text/plain)
2013-10-02 11:27 EDT, Huanshuai Li
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-02 11:27 EDT, Huanshuai Li
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-02 11:27 EDT, Huanshuai Li
no flags Details
File: maps (46.13 KB, text/plain)
2013-10-02 11:28 EDT, Huanshuai Li
no flags Details
File: open_fds (1.23 KB, text/plain)
2013-10-02 11:28 EDT, Huanshuai Li
no flags Details
File: proc_pid_status (928 bytes, text/plain)
2013-10-02 11:28 EDT, Huanshuai Li
no flags Details

  None (edit)
Description Huanshuai Li 2013-10-02 11:27:16 EDT
Description of problem:
after i close a modified text document

Version-Release number of selected component:
vim-X11-7.4.027-2.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/bin/gvim /mnt/e/Users/Jerry/daqi-kuang/n/ywt/0.txt
crash_function: set_last_cursor
executable:     /usr/bin/gvim
kernel:         3.11.2-201.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: Oct  2 23:02:22 localhost abrt[11135]: Saved core dump of pid 10950 (/usr/bin/gvim) to /var/tmp/abrt/ccpp-2013-10-02-23:02:21-10950 (54898688 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 set_last_cursor at mark.c:1377
 #1 write_viminfo_marks at mark.c:1598
 #2 do_viminfo at ex_cmds.c:2098
 #3 write_viminfo at ex_cmds.c:1973
 #4 getout at main.c:1438
 #6 getvcol at charset.c:1279
 #7 init_preedit_start_col at mbyte.c:4431
 #8 im_commit_cb at mbyte.c:4597
 #9 g_cclosure_marshal_VOID__STRINGv at /lib64/libgobject-2.0.so.0
 #10 _g_closure_invoke_va at /lib64/libgobject-2.0.so.0

Potential duplicate: bug 986603
Comment 1 Huanshuai Li 2013-10-02 11:27:21 EDT
Created attachment 806537 [details]
File: backtrace
Comment 2 Huanshuai Li 2013-10-02 11:27:24 EDT
Created attachment 806538 [details]
File: cgroup
Comment 3 Huanshuai Li 2013-10-02 11:27:33 EDT
Created attachment 806539 [details]
File: core_backtrace
Comment 4 Huanshuai Li 2013-10-02 11:27:40 EDT
Created attachment 806540 [details]
File: dso_list
Comment 5 Huanshuai Li 2013-10-02 11:27:43 EDT
Created attachment 806541 [details]
File: environ
Comment 6 Huanshuai Li 2013-10-02 11:27:47 EDT
Created attachment 806542 [details]
File: exploitable
Comment 7 Huanshuai Li 2013-10-02 11:27:55 EDT
Created attachment 806543 [details]
File: limits
Comment 8 Huanshuai Li 2013-10-02 11:28:01 EDT
Created attachment 806544 [details]
File: maps
Comment 9 Huanshuai Li 2013-10-02 11:28:08 EDT
Created attachment 806545 [details]
File: open_fds
Comment 10 Huanshuai Li 2013-10-02 11:28:21 EDT
Created attachment 806546 [details]
File: proc_pid_status
Comment 11 Fedora Update System 2014-08-13 10:58:05 EDT
vim-7.4.402-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/vim-7.4.402-1.fc20
Comment 12 Fedora Update System 2014-08-13 10:58:29 EDT
vim-7.4.402-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/vim-7.4.402-1.fc19
Comment 13 Fedora Update System 2014-08-15 20:28:28 EDT
Package vim-7.4.402-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing vim-7.4.402-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9443/vim-7.4.402-1.fc20
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2014-08-22 21:53:52 EDT
vim-7.4.402-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2014-08-26 11:37:54 EDT
vim-7.4.417-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/vim-7.4.417-1.fc20
Comment 16 Fedora Update System 2014-08-26 11:38:17 EDT
vim-7.4.417-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/vim-7.4.417-1.fc19
Comment 17 Fedora Update System 2014-08-28 11:31:55 EDT
vim-7.4.417-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2014-09-19 06:05:41 EDT
vim-7.4.417-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.